## espctag 0.2.2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(espctag)

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
FIND_PACKAGE(libspctag REQUIRED)
IF (LIBSPCTAG_FOUND)
	MESSAGE(STATUS "libspctag found")
ELSE (LIBSPCTAG_FOUND)
	MESSAGE(FATAL_ERROR "libspctag not found!")
ENDIF (LIBSPCTAG_FOUND)

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(doc)

=== debian/changelog ===
espctag (0.2.2-2) unstable; urgency=low

  * Remove Vcs-Browser header from control file (Closes: #638474)

 -- Jérôme SONRIER <jsid@emor3j.fr.eu.org>  Sun, 21 Aug 2011 04:53:19 +0200

espctag (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #633705)

 -- Jérôme SONRIER <jsid@emor3j.fr.eu.org>  Mon, 25 Jul 2011 01:26:58 +0200

=== debian/control ===
Source: espctag
Section: misc
Priority: optional
Maintainer: Jérôme SONRIER <jsid@emor3j.fr.eu.org>
Build-Depends: debhelper (>= 8.0.0), cmake, libspctag-dev
Standards-Version: 3.9.2
Homepage: https://sourceforge.net/projects/espctag/

Package: espctag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspctag0
Description: ID666 tags editor
 For the moment, espctag can only print on the standard output ID666 tags
 (Song title, Game title, Author,...) extracted from SPC files (SNES 
 audio files).

## espctag 0.3

=== debian/changelog ===
espctag (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Jérôme SONRIER <jsid@emor3j.fr.eu.org>  Wed, 21 Sep 2011 02:48:01 +0200

=== debian/control ===
Source: espctag
Section: misc
Priority: optional
Maintainer: Jérôme SONRIER <jsid@emor3j.fr.eu.org>
Build-Depends: debhelper (>= 8.0.0), cmake, libspctag-dev (>= 0.2)
Standards-Version: 3.9.2
Homepage: https://sourceforge.net/projects/espctag/

Package: espctag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspctag1 (>= 0.2)
Description: ID666 tags editor
 espctag can read or write ID666 tags of SPC files (SNES audio files).
 For the moment, espctag can not edit extended ID666.

## espctag 0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
 PROJECT(espctag)
+
+SET(LIBSPCTAG_MINIMUM_REQUIRED 0.2)
 
 SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 FIND_PACKAGE(libspctag REQUIRED)

=== doc/CMakeLists.txt ===
INSTALL(FILES espctag.1 DESTINATION share/man/man1/)

=== src/CMakeLists.txt ===
SET(espctag_src espctag.c)

ADD_EXECUTABLE(espctag ${espctag_src})

TARGET_LINK_LIBRARIES(espctag ${LIBSPCTAG_LIBRARY})

INSTALL(TARGETS espctag DESTINATION "bin")

=== debian/changelog ===
espctag (0.4-2) unstable; urgency=medium

  * Maintain in Debian Games team
    Closes: #1119899
  * d/watch: version=5
  * Fix build with CMake 4
    Closes: #1112875
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 02 Nov 2025 07:41:10 +0100

espctag (0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/: Refresh packaging:
    + Bump Standards-Version to 4.7.0.
    + Bump debhelper compat to v13.
  * debian/patches/0001-espctag.c-Add-missing-header-for-waitpid-2.patch:
    Add patch to fix FTBFS with GCC 14. (Closes: #1066640)

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Nov 2024 10:09:10 -0500

espctag (0.4-1) unstable; urgency=low

  * New upstream release
  * Adds support for RSN files

 -- Jérôme SONRIER <jsid@emor3j.fr.eu.org>  Thu, 13 Sep 2012 02:18:33 +0200

=== debian/control ===
Source: espctag
Standards-Version: 4.7.2
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jérôme SONRIER <jsid@emor3j.fr.eu.org>,
 Andreas Tille <tille@debian.org>,
Section: misc
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libspctag-dev,
Vcs-Browser: https://salsa.debian.org/games-team/espctag
Vcs-Git: https://salsa.debian.org/games-team/espctag.git
Homepage: https://sourceforge.net/projects/espctag/

Package: espctag
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 rar,
 unrar,
Description: ID666 tags editor
 espctag can read or write ID666 tags of SPC files (SNES audio files).
 It can rename files based on tag information and support RSN files.
 For the moment, espctag can not edit extended ID666.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
Version: 5

Source: https://sf.net/@PACKAGE@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
